package cexer.util.mceparser;

public class MceConstants {
    // Tag names used in MceParser and the xml format
    public static final String MCEXERCISE_TAG_NAME = "mcexercise";
    public static final String QUESTIONGROUP_TAG_NAME = "questiongroup";
    public static final String QUESTION_TAG_NAME = "question";
    public static final String DESCRIPTION_TAG_NAME = "description";
    public static final String POSITIVE_FEEDBACK_TAG_NAME = "positive-feedback";
    public static final String NEGATIVE_FEEDBACK_TAG_NAME = "negative-feedback";
    public static final String SELECTED_FEEDBACK_TAG_NAME = "selected-feedback";
    public static final String UNSELECTED_FEEDBACK_TAG_NAME = "unselected-feedback";
    public static final String CHOICEGROUP_TAG_NAME = "choicegroup";
    public static final String CHOICE_TAG_NAME = "choice";


    // Attribute names used in MceParser and the xml format
    public static final String VISIBLE_QUESTIONS_ATTRIBUTE_NAME = "visible-questions";
    public static final String MIN_SELECTED_ATTRIBUTE_NAME = "min-selected";
    public static final String MAX_SELECTED_ATTRIBUTE_NAME = "max-selected";
    public static final String OPTIONAL_ATTRIBUTE_NAME = "optional";
    public static final String LANG_ATTRIBUTE_NAME = "lang";
    public static final String VISIBLE_CHOICES_ATTRIBUTE_NAME = "visible-choices";
    public static final String SELECTED_POINTS_ATTRIBUTE_NAME = "selected-points";
    public static final String UNSELECTED_POINTS_ATTRIBUTE_NAME = "unselected-points";
    public static final String PREFORMATTED = "pre";
    public static final String CHOICES_LAYOUT = "columns-layout";

}
